# $Revision: 1.20 $, $Date: 2012/03/13 08:56:57 $
%define		orgname		kdevelop-php
%define		_kdevelopver	4.3.0
%define		_state		stable
%define		kdever		4.8.0
%define		qtver		4.8.0

Summary:	PHP plugins for kdevelop
Summary(pl.UTF-8):	Wtyczki PHP dla kdevelop
Name:		kde4-kdevelop-plugin-php
Version:	1.3.0
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/kdevelop/%{_kdevelopver}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	d8c10d9d42ae412b8a968b7ab1fbffd9
Source1:	ftp://ftp.kde.org/pub/kde/%{_state}/kdevelop/%{_kdevelopver}/src/%{orgname}-docs-%{version}.tar.bz2
# Source1-md5:	866e597b1f843ed48edbd48331a1d6cf
URL:		http://www.kdevelop.org/
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdevelop-pg-qt
BuildRequires:	kde4-kdevplatform-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdevelop >= %{_kdevelopver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP plugins for kdevelop.

%description -l pl.UTF-8
Wtyczki PHP dla kdevelop.

%prep
%setup -q -n %{orgname}-%{version} -a1

%build
install -d build
cd build
%cmake \
	../
%{__make}
cd ../

cd %{orgname}-docs-%{version}
install -d build
cd build
%cmake \
	../
%{__make}
cd ../

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%{__make} -C %{orgname}-docs-%{version}/build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f kdevelop-php.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kdevphpdocs.so
%attr(755,root,root) %{_libdir}/kde4/kdevphpdocs_config.so
%attr(755,root,root) %{_libdir}/kde4/kdevphplanguagesupport.so
%attr(755,root,root) %{_libdir}/libkdev4phpcompletion.so
%attr(755,root,root) %{_libdir}/libkdev4phpduchain.so
%attr(755,root,root) %{_libdir}/libkdev4phpparser.so
%dir %{_datadir}/apps/kdevappwizard
%dir %{_datadir}/apps/kdevappwizard/templates
%{_datadir}/apps/kdevappwizard/templates/simple_phpapp.tar.bz2
%dir %{_datadir}/apps/kdevphpsupport
%{_datadir}/apps/kdevphpsupport/phpfunctions.php
%{_datadir}/config.kcfg/phpdocssettings.kcfg
%{_datadir}/kde4/services/kdevphpsupport.desktop
%{_datadir}/kde4/services/kdevphpdocs.desktop
%{_datadir}/kde4/services/kdevphpdocs_config.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdevelop-plugin-php.spec,v $
Revision 1.20  2012/03/13 08:56:57  arekm
- up to 1.3.0

Revision 1.19  2011/06/30 22:00:20  august84
- up to 1.2.3

Revision 1.18  2011/05/24 12:42:54  lisu
- rel 2

Revision 1.17  2011/04/08 11:25:28  august84
- up to 1.2.2

Revision 1.16  2011/01/25 23:47:18  august84
- up to 1.2.0
- adjusted to new cmake macro

Revision 1.15  2011/01/22 14:31:09  sparky
- BR: gettext-devel
- Warning: build requires soprano-devel (indirectly)

Revision 1.14  2010/10/26 19:24:10  arekm
- up to 1.1.0

Revision 1.13  2010/09/02 18:00:07  shadzik
- 1.0.2

Revision 1.12  2010/07/20 12:20:59  shadzik
- Source

Revision 1.11  2010/07/17 23:02:06  shadzik
- R: kde4-kdevelop >= %{_kdevelopver}

Revision 1.10  2010/07/17 23:00:37  shadzik
- %find_lang

Revision 1.9  2010/07/17 22:41:08  shadzik
- add BR versions
- kill implicit QtSvg-devel Br

Revision 1.8  2010/07/17 22:37:35  shadzik
- 1.0.1
- this spec needs a lot of love and kde4 unification

Revision 1.7  2010/05/16 21:25:28  august84
- add missing BRs
- duplicated BR QtTest-devel removed (already in kde4-kdevplatform-devel)

Revision 1.6  2010/05/16 11:11:38  sparky
- BR: QtTest-devel, automoc4, qt4-build, qt4-qmake

Revision 1.5  2010/05/16 10:48:06  arekm
- BR kde4-kdelibs-devel

Revision 1.4  2010/04/29 19:19:29  august84
- up to 1.0.0

Revision 1.3  2010/04/24 12:12:29  august84
- up to 1.0.0 rc2

Revision 1.2  2010/04/12 16:54:26  vip
- up to 1.0.0 rc1, thanks to Andrzej Augustyński, august84 at autocom dot pl

Revision 1.1  2010/03/29 08:13:36  shadzik
- init
- nice work by Andrzej Augusty�~Dski <august84 at autocom dot pl>

